curl 'https://<your_disto_url>/api/v1/projects/' \
-H 'Authorization: Bearer <token>'
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Signal-iOS",
"issueIds": [
"123e4567-e89b-12d3-a456-426614174001",
"123e4567-e89b-12d3-a456-426614174002",
"123e4567-e89b-12d3-a456-426614174003"
],
"createdAt": "2023-08-01T14:30:00Z"
},
{
"id": "123e4567-e89b-12d3-a456-426614174004",
"name": "Signal-Android",
"issueIds": [
"123e4567-e89b-12d3-a456-426614174005",
"123e4567-e89b-12d3-a456-426614174006"
],
"createdAt": "2023-08-02T14:30:00Z"
}
]
Projects
Get All Projects
This endpoint retrieves all projects for your user account.
GET
/
api
/
v1
/
projects
/
curl 'https://<your_disto_url>/api/v1/projects/' \
-H 'Authorization: Bearer <token>'
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Signal-iOS",
"issueIds": [
"123e4567-e89b-12d3-a456-426614174001",
"123e4567-e89b-12d3-a456-426614174002",
"123e4567-e89b-12d3-a456-426614174003"
],
"createdAt": "2023-08-01T14:30:00Z"
},
{
"id": "123e4567-e89b-12d3-a456-426614174004",
"name": "Signal-Android",
"issueIds": [
"123e4567-e89b-12d3-a456-426614174005",
"123e4567-e89b-12d3-a456-426614174006"
],
"createdAt": "2023-08-02T14:30:00Z"
}
]
Response
string
This is the unique identifier for the project.
string
This is the name of the project.
array
This is an array of issue IDs associated with the project.
string
This is the date and time when the project was created.
curl 'https://<your_disto_url>/api/v1/projects/' \
-H 'Authorization: Bearer <token>'
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Signal-iOS",
"issueIds": [
"123e4567-e89b-12d3-a456-426614174001",
"123e4567-e89b-12d3-a456-426614174002",
"123e4567-e89b-12d3-a456-426614174003"
],
"createdAt": "2023-08-01T14:30:00Z"
},
{
"id": "123e4567-e89b-12d3-a456-426614174004",
"name": "Signal-Android",
"issueIds": [
"123e4567-e89b-12d3-a456-426614174005",
"123e4567-e89b-12d3-a456-426614174006"
],
"createdAt": "2023-08-02T14:30:00Z"
}
]
